summaryrefslogtreecommitdiffstats
path: root/jjb/qtip/helpers/validate-setup.sh
diff options
context:
space:
mode:
authorSerena Feng <feng.xiaowei@zte.com.cn>2017-02-08 06:05:46 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-02-08 06:05:46 +0000
commitfdb4631f57b1343a040ed3a9f65e4c118e8f8488 (patch)
treec766970340d3aebb8e4db0a93068864681d6be99 /jjb/qtip/helpers/validate-setup.sh
parent2d12bd59544438279297cb6331c869fc319ef376 (diff)
parent6ecd5a9aab2d2d04c9f913fa9d9ee84f945ed788 (diff)
Merge "Refactor qtip jobs"
Diffstat (limited to 'jjb/qtip/helpers/validate-setup.sh')
-rw-r--r--jjb/qtip/helpers/validate-setup.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/jjb/qtip/helpers/validate-setup.sh b/jjb/qtip/helpers/validate-setup.sh
new file mode 100644
index 000000000..8d84e120c
--- /dev/null
+++ b/jjb/qtip/helpers/validate-setup.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+##############################################################################
+# Copyright (c) 2017 ZTE and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+# setup virtualenv
+sudo pip install -u virtualenv virtualenvwrapper
+export WORKON_HOME=$HOME/.virtualenvs
+source /usr/local/bin/virtualenvwrapper.sh
+mkvirtualenv qtip
+workon qtip
+
+# setup qtip
+sudo pip install $HOME/repos/qtip
+
+# testing
+qtip --version
+qtip --help